tag_list:
  path:  /tag/list
  defaults: { _controller: tag_controller:listAction }
  methods:  [GET]

tag_error:
  path:  /tag/error
  defaults: { _controller: tag_controller:errorAction }

tag_one:
  path:  /tag/{id}
  defaults: { _controller: tag_controller:itemAction }
  methods:  [GET,POST]

tag_manual:
  path: /tag_manual
  defaults: { _controller: tag_controller:manualAction }

tag_twig:
  path: /tag_twig
  defaults: { _controller: tag_controller:twigAction }

invalidation_route:
  path: /invalidate/route/{id}
  defaults: { _controller: FOS\HttpCacheBundle\Tests\Functional\Fixtures\Controller\InvalidationController::itemAction }

invalidation_path:
  path: /invalidate/path/{statusCode}
  defaults: { _controller: FOS\HttpCacheBundle\Tests\Functional\Fixtures\Controller\InvalidationController::otherAction }

invalidation_error:
  path: /invalidate/error
  defaults: { _controller: FOS\HttpCacheBundle\Tests\Functional\Fixtures\Controller\InvalidationController::errorAction }

test_cached:
  path:  /cached/{id}
  defaults: { _controller: FOS\HttpCacheBundle\Tests\Functional\Fixtures\Controller\TestController::contentAction }
  methods:  [GET,PUT]

test_cached_session:
  path:  /secured_area/cached_session
  defaults: { _controller: FOS\HttpCacheBundle\Tests\Functional\Fixtures\Controller\TestController::sessionAction }

test_switch_user:
  path:  /secured_area/switch_user
  defaults: { _controller: FOS\HttpCacheBundle\Tests\Functional\Fixtures\Controller\TestController::switchUserAction }

test_noncached:
  path:  /noncached
  defaults: { _controller: FOS\HttpCacheBundle\Tests\Functional\Fixtures\Controller\TestController::contentAction }

test_logout:
  path:  /secured_area/logout

test_flash:
  path: /flash
  defaults: { _controller: FOS\HttpCacheBundle\Tests\Functional\Fixtures\Controller\FlashMessageController::flashAction }

user_context_hash:
    path: /secured_area/_fos_user_context_hash
